package jp.sourceforge.shovel.entity;

import jp.sourceforge.shovel.StatusType;

public interface IStatusWrapper {
    IDirectMessage getDirectMessage();
    void setDirectMessage(IDirectMessage directMessage);
    IFavorite getFavorite();
    void setFavorite(IFavorite favorite);
    String getForeignKey();
    void setForeignKey(String foreignKey);
    IFriendship getFriend();
    void setFriend(IFriendship friend);
    boolean isOpen();
    void setOpen(boolean open);
    IStatus getStatus();
    void setStatus(IStatus status);
    StatusType getStatusType();
    void setStatusType(StatusType type);
    String getText();
    void setText(String text);
}
